# The "MomentGenerator" Widget

This widget provides a mement-map generator in a popup.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

MomentGenerator_ResourceNames | List of resource names for MomentGenerator widget
MomentGenerator_Resources | List of resources for MomentGenerator widget

#### Functions

XkwMomentGeneratorNewArray | Register new array.

## Tables

MomentGenerator_ResourceNames List of resource names for MomentGenerator widget

Name | Purpose
XkwNverbose | If TRUE verbose messages are displayed
XkwNmom0Array | The internally created 0th moment Intelligent Array
XkwNmom1Array | The internally created 1st moment Intelligent Array
XkwNmomentCallback | Callbacks when the moment maps are (re)computed

MomentGenerator_Resources List of resources for MomentGenerator widget

Name | Class | Rep. Type | Default
XkwNverbose | XkwCVerbose | XtRBool | FALSE
XkwNmom0Array | XkwCArray | XtRPointer | NULL
XkwNmom1Array | XkwCArray | XtRPointer | NULL
XkwNmomentCallback | XtCCallback | XtRCallback | NULL

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwMomentGeneratorNewArray (Widget W, iarray array, double min,double max)

Register new array.

Parameters:

- W : The MomentGenerator widget.
- array : The new array. This may be NULL.
- min : The minimum data value in the array.
- max : The maximum data value in the array. If this is less than min then the minimum and maximum values are computed.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page